Bug 489060 - remove useless evolution-alarm-notify-Message
remove useless evolution-alarm-notify-Message
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 19:22 EST by Matthias Clasen
Modified: 2010-02-23 05:29 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-2.29.92
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 05:29:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-03-06 19:22:58 EST
I get pages and pages of 

ubcell_view 0x7ffbc2057400 deleted before the a11y object 0x28cad20
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc224b140
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc2248340
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc224b0a0
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc224b000
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x2b53c70
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x2b53810
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x2b53e50
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x2b538b0
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc2248700
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc1fb9dc0
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbbde1bee0
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc224b320
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc224b460
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbc927a6f0
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbbe381210
subcell_view 0x7ffbc2057400 deleted before the a11y object 0x7ffbccce6150

clogging up .xsession-errors, with no obvious gain.

Can we nuke that ?

It originates at a11y/e-table/gal-a11y-e-cell-tree.c:79
Comment 1 Matthias Clasen 2009-03-06 19:33:21 EST
In the same vain, evolution-alarm-notify has a bunch of debug spew like this:

evolution-alarm-notify-Message: Setting timeout for 24653 1236402000 1236377347
evolution-alarm-notify-Message:  Sat Mar  7 00:00:00 2009

That should be nuked as well, imo.

Or turned from g_message into g_debug, with a log handler that suppresses LOG_LEVEL_DEBUG unless specifically triggered.
Comment 2 Matthew Barnes 2009-03-08 22:23:20 EDT
Accessiblity message fixed upstream.
I'll get to the other one after the code freeze.
Comment 3 Bug Zapper 2009-06-09 07:58:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Christopher Beland 2010-02-23 02:55:50 EST
I'm still seeing messages as reported above with evolution-2.28.2-1.fc12.i686.  Here's a sample:

evolution-alarm-notify-Message: Alarm callback!
evolution-alarm-notify-Message: Process alarm with trigger 1266883200
evolution-alarm-notify-Message: alarm.c:249: Requested removal of nonexistent alarm!
evolution-alarm-notify-Message: Setting timeout for 86400 1266969600 1266883200
evolution-alarm-notify-Message:  Tue Feb 23 19:00:00 2010
evolution-alarm-notify-Message:  Mon Feb 22 19:00:00 2010
Comment 5 Milan Crha 2010-02-23 05:29:53 EST
The below one is correct, I turned it to a g_warning. The rest are removed upstream, will be included in 2.29.92.

> evolution-alarm-notify-Message: alarm.c:249: Requested removal of nonexistent
> alarm!

Note You need to log in before you can comment on or make changes to this bug.